%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)$

Summary:        Portable implementation of the 'which' utility
Name:           perl-File-Which
Version:        1.27
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Which
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/File-Which-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:  perl(constant) perl(Exporter) perl(File::Spec) >= 0.60 perl(warnings)
BuildRequires:  perl(Env) perl(Config) perl(Test::More) >= 0.80
Requires:        perl(File::Spec) >= 0.60

%description
File::Which is a portable implementation (in Perl) of 'which',
finds the full or relative paths to executable programs on the system.

%prep
%autosetup -n File-Which-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
chmod -R u+w %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/File/
%{_mandir}/man3/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.27-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.27-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.27-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.27-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 3 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.27-1
- package init.
